Package be.vlaanderen.mercurius.mohm.common.v7

# Class ApplicationViewType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ApplicationViewType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ApplicationViewType extends Object implements Serializable
Generiek type voor het beeld van een aanvraag.

Java class for ApplicationViewType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationViewType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationViewMobilityToolType" minOccurs="0"/>
             <element name="BTC" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationViewBTCType" minOccurs="0"/>
             <element name="SupportAndRepair" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairType" minOccurs="0"/>
             <element name="IsSecondWheelchair" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="IsEarlyRenewalMobilityTool" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="HasRecognitionVAPH" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="HasSDA" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="IsProfessionalUse" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Prescription" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationViewPrescriptionType" minOccurs="0"/>
             <element name="WheelchairAdviceReport" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationViewWheelchairAdviceReportType" minOccurs="0"/>
             <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="DecisionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="MaxDeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="WarrantAmount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
             <element name="AdmissionStartDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="AdmissionEndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationViewType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getAdmissionEndDate()`
  Einddatum opname in een WZC.
  `Instant`
  `getAdmissionStartDate()`
  Begindatum opname in een WZC.
  `ApplicationViewBTCType`
  `getBTC()`
  Groeperend element met informatie over het deel BTC van de aanvraag.
  `Instant`
  `getDecisionDate()`
  Datum beslissing van de aanvraag.
  `Instant`
  `getEndDate()`
  Datum stopzetting van de aanvraag.
  `Instant`
  `getMaxDeliveryDate()`
  Grensdatum voor het afleveren van de producten waarvoor een goedkeuring werd gegeven.
  `ApplicationViewMobilityToolType`
  `getMobilityTool()`
  Groeperend element met informatie over het mobiliteitshulpmiddel en/of de aanpassingen.
  `ApplicationViewPrescriptionType`
  `getPrescription()`
  Groeperend element met informatie over het medisch voorschrift.
  `SupportAndRepairType`
  `getSupportAndRepair()`
  Groeperend element met informatie over het budget voor onderhoud en herstel.
  `BigDecimal`
  `getWarrantAmount()`
  Bedrag van de waarborg die door de verstrekker werd gevraagd.
  `ApplicationViewWheelchairAdviceReportType`
  `getWheelchairAdviceReport()`
  Groeperend element met informatie over het Rolstoel Adviesrapport (RAR).
  `Boolean`
  `isHasRecognitionVAPH()`
  Aanduiding of er in deze aanvraag een erkenning VAPH werd gemeld.
  `Boolean`
  `isHasSDA()`
  Aanduiding of er in deze aanvraag een Snel Degeneratieve Aandoening werd gemeld.
  `Boolean`
  `isIsAccident()`
  Aanduiding of er in deze aanvraag een ongeval werd gemeld.
  `Boolean`
  `isIsEarlyRenewalMobilityTool()`
  Aanduiding of in deze aanvraag een voortijdige hernieuwing van een mobiliteitshulpmiddel werd aangevraagd.
  `Boolean`
  `isIsProfessionalUse()`
  Aanduiding of er in deze aanvraag professioneel gebruik van het mobiliteitshulpmiddel werd gemeld.
  `Boolean`
  `isIsSecondWheelchair()`
  Aanduiding of in deze aanvraag een 2de rolstoel werd aangevraagd.
  `void`
  `setAdmissionEndDate(Instant value)`
  Sets the value of the admissionEndDate property.
  `void`
  `setAdmissionStartDate(Instant value)`
  Sets the value of the admissionStartDate property.
  `void`
  `setBTC(ApplicationViewBTCType value)`
  Sets the value of the btc property.
  `void`
  `setDecisionDate(Instant value)`
  Sets the value of the decisionDate property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setHasRecognitionVAPH(Boolean value)`
  Sets the value of the hasRecognitionVAPH property.
  `void`
  `setHasSDA(Boolean value)`
  Sets the value of the hasSDA property.
  `void`
  `setIsAccident(Boolean value)`
  Sets the value of the isAccident property.
  `void`
  `setIsEarlyRenewalMobilityTool(Boolean value)`
  Sets the value of the isEarlyRenewalMobilityTool property.
  `void`
  `setIsProfessionalUse(Boolean value)`
  Sets the value of the isProfessionalUse property.
  `void`
  `setIsSecondWheelchair(Boolean value)`
  Sets the value of the isSecondWheelchair property.
  `void`
  `setMaxDeliveryDate(Instant value)`
  Sets the value of the maxDeliveryDate property.
  `void`
  `setMobilityTool(ApplicationViewMobilityToolType value)`
  Sets the value of the mobilityTool property.
  `void`
  `setPrescription(ApplicationViewPrescriptionType value)`
  Sets the value of the prescription property.
  `void`
  `setSupportAndRepair(SupportAndRepairType value)`
  Sets the value of the supportAndRepair property.
  `void`
  `setWarrantAmount(BigDecimal value)`
  Sets the value of the warrantAmount property.
  `void`
  `setWheelchairAdviceReport(ApplicationViewWheelchairAdviceReportType value)`
  Sets the value of the wheelchairAdviceReport property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationViewType

    public ApplicationViewType()

- ## Method Details

  - ### getMobilityTool

    public ApplicationViewMobilityToolType getMobilityTool()
    Groeperend element met informatie over het mobiliteitshulpmiddel en/of de aanpassingen.
    Returns:
      possible object is `ApplicationViewMobilityToolType`

  - ### setMobilityTool

    public void setMobilityTool(ApplicationViewMobilityToolType value)
    Sets the value of the mobilityTool property.
    Parameters:
      `value` - allowed object is `ApplicationViewMobilityToolType`
    See Also:
      - `getMobilityTool()`

  - ### getBTC

    public ApplicationViewBTCType getBTC()
    Groeperend element met informatie over het deel BTC van de aanvraag.
    Returns:
      possible object is `ApplicationViewBTCType`

  - ### setBTC

    public void setBTC(ApplicationViewBTCType value)
    Sets the value of the btc property.
    Parameters:
      `value` - allowed object is `ApplicationViewBTCType`
    See Also:
      - `getBTC()`

  - ### getSupportAndRepair

    public SupportAndRepairType getSupportAndRepair()
    Groeperend element met informatie over het budget voor onderhoud en herstel. Indien er geen budget is, zal dit element niet aanwezig zijn.
    Returns:
      possible object is `SupportAndRepairType`

  - ### setSupportAndRepair

    public void setSupportAndRepair(SupportAndRepairType value)
    Sets the value of the supportAndRepair property.
    Parameters:
      `value` - allowed object is `SupportAndRepairType`
    See Also:
      - `getSupportAndRepair()`

  - ### isIsSecondWheelchair

    public Boolean isIsSecondWheelchair()
    Aanduiding of in deze aanvraag een 2de rolstoel werd aangevraagd. Dit veld wordt niet meer gebruikt, er zijn nu aparte prestatiecodes voor 2de rolstoelen.
    Returns:
      possible object is `Boolean`

  - ### setIsSecondWheelchair

    public void setIsSecondWheelchair(Boolean value)
    Sets the value of the isSecondWheelchair property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isIsSecondWheelchair()`

  - ### isIsEarlyRenewalMobilityTool

    public Boolean isIsEarlyRenewalMobilityTool()
    Aanduiding of in deze aanvraag een voortijdige hernieuwing van een mobiliteitshulpmiddel werd aangevraagd.
    Returns:
      possible object is `Boolean`

  - ### setIsEarlyRenewalMobilityTool

    public void setIsEarlyRenewalMobilityTool(Boolean value)
    Sets the value of the isEarlyRenewalMobilityTool property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isIsEarlyRenewalMobilityTool()`

  - ### isHasRecognitionVAPH

    public Boolean isHasRecognitionVAPH()
    Aanduiding of er in deze aanvraag een erkenning VAPH werd gemeld.
    Returns:
      possible object is `Boolean`

  - ### setHasRecognitionVAPH

    public void setHasRecognitionVAPH(Boolean value)
    Sets the value of the hasRecognitionVAPH property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isHasRecognitionVAPH()`

  - ### isHasSDA

    public Boolean isHasSDA()
    Aanduiding of er in deze aanvraag een Snel Degeneratieve Aandoening werd gemeld.
    Returns:
      possible object is `Boolean`

  - ### setHasSDA

    public void setHasSDA(Boolean value)
    Sets the value of the hasSDA property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isHasSDA()`

  - ### isIsProfessionalUse

    public Boolean isIsProfessionalUse()
    Aanduiding of er in deze aanvraag professioneel gebruik van het mobiliteitshulpmiddel werd gemeld.
    Returns:
      possible object is `Boolean`

  - ### setIsProfessionalUse

    public void setIsProfessionalUse(Boolean value)
    Sets the value of the isProfessionalUse property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isIsProfessionalUse()`

  - ### getPrescription

    public ApplicationViewPrescriptionType getPrescription()
    Groeperend element met informatie over het medisch voorschrift.
    Returns:
      possible object is `ApplicationViewPrescriptionType`

  - ### setPrescription

    public void setPrescription(ApplicationViewPrescriptionType value)
    Sets the value of the prescription property.
    Parameters:
      `value` - allowed object is `ApplicationViewPrescriptionType`
    See Also:
      - `getPrescription()`

  - ### getWheelchairAdviceReport

    public ApplicationViewWheelchairAdviceReportType getWheelchairAdviceReport()
    Groeperend element met informatie over het Rolstoel Adviesrapport (RAR).
    Returns:
      possible object is `ApplicationViewWheelchairAdviceReportType`

  - ### setWheelchairAdviceReport

    public void setWheelchairAdviceReport(ApplicationViewWheelchairAdviceReportType value)
    Sets the value of the wheelchairAdviceReport property.
    Parameters:
      `value` - allowed object is `ApplicationViewWheelchairAdviceReportType`
    See Also:
      - `getWheelchairAdviceReport()`

  - ### isIsAccident

    public Boolean isIsAccident()
    Aanduiding of er in deze aanvraag een ongeval werd gemeld.
    Returns:
      possible object is `Boolean`

  - ### setIsAccident

    public void setIsAccident(Boolean value)
    Sets the value of the isAccident property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isIsAccident()`

  - ### getDecisionDate

    public Instant getDecisionDate()
    Datum beslissing van de aanvraag.
    Returns:
      possible object is `String`

  - ### setDecisionDate

    public void setDecisionDate(Instant value)
    Sets the value of the decisionDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDecisionDate()`

  - ### getEndDate

    public Instant getEndDate()
    Datum stopzetting van de aanvraag.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEndDate()`

  - ### getMaxDeliveryDate

    public Instant getMaxDeliveryDate()
    Grensdatum voor het afleveren van de producten waarvoor een goedkeuring werd gegeven.
    Returns:
      possible object is `String`

  - ### setMaxDeliveryDate

    public void setMaxDeliveryDate(Instant value)
    Sets the value of the maxDeliveryDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMaxDeliveryDate()`

  - ### getWarrantAmount

    public BigDecimal getWarrantAmount()
    Bedrag van de waarborg die door de verstrekker werd gevraagd.
    Returns:
      possible object is `BigDecimal`

  - ### setWarrantAmount

    public void setWarrantAmount(BigDecimal value)
    Sets the value of the warrantAmount property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getWarrantAmount()`

  - ### getAdmissionStartDate

    public Instant getAdmissionStartDate()
    Begindatum opname in een WZC.
    Returns:
      possible object is `String`

  - ### setAdmissionStartDate

    public void setAdmissionStartDate(Instant value)
    Sets the value of the admissionStartDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAdmissionStartDate()`

  - ### getAdmissionEndDate

    public Instant getAdmissionEndDate()
    Einddatum opname in een WZC.
    Returns:
      possible object is `String`

  - ### setAdmissionEndDate

    public void setAdmissionEndDate(Instant value)
    Sets the value of the admissionEndDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAdmissionEndDate()`